io.vertx.rxjava3

## Class RxHelper

- java.lang.Object
- - io.vertx.rxjava3.RxHelper

-     public class RxHelper
      extends Object

  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RxHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Scheduler` | `blockingScheduler(Vertx vertx)` Create a scheduler for a `Vertx` object, actions can be blocking, they are not executed on Vertx event loop.
    `static Scheduler` | `blockingScheduler(Vertx vertx, boolean ordered)` Create a scheduler for a `Vertx` object, actions can be blocking, they are not executed on Vertx event loop.
    `static Scheduler` | `blockingScheduler(WorkerExecutor executor)` Create a scheduler for a `WorkerExecutor` object, actions are executed on the threads of this executor.
    `static Scheduler` | `scheduler(Context context)` Create a scheduler for a `Context`, actions are executed on the event loop of this context.
    `static Scheduler` | `scheduler(Vertx vertx)` Create a scheduler for a `Vertx` object, actions are executed on the event loop.
    `static <T> WriteStreamObserver<T>` | `toObserver(WriteStream<T> stream)` Adapts a Vert.x `WriteStream` to an RxJava `Observer`.
    `static <R,T> WriteStreamObserver<R>` | `toObserver(WriteStream<T> stream, java.util.function.Function<R,T> mapping)` Like `toObserver(WriteStream)`, except the provided `mapping` function is applied to each `Observable` item.
    `static <T> WriteStreamSubscriber<T>` | `toSubscriber(WriteStream<T> stream)` Adapts a Vert.x `WriteStream` to an RxJava `Subscriber`.
    `static <R,T> WriteStreamSubscriber<R>` | `toSubscriber(WriteStream<T> stream, java.util.function.Function<R,T> mapping)` Like `toSubscriber(WriteStream)`, except the provided `mapping` function is applied to each `Flowable` item.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RxHelper

          public RxHelper()

  - ### Method Detail

    - #### scheduler

          public static Scheduler scheduler(Vertx vertx)

      Create a scheduler for a `Vertx` object, actions are executed on the event loop.
      Parameters:
        `vertx` - the vertx object
      Returns:
        the scheduler

    - #### scheduler

          public static Scheduler scheduler(Context context)

      Create a scheduler for a `Context`, actions are executed on the event loop of this context.
      Parameters:
        `context` - the context object
      Returns:
        the scheduler

    - #### blockingScheduler

          public static Scheduler blockingScheduler(Vertx vertx)

      Create a scheduler for a `Vertx` object, actions can be blocking, they are not executed on Vertx event loop.
      Parameters:
        `vertx` - the vertx object
      Returns:
        the scheduler

    - #### blockingScheduler

          public static Scheduler blockingScheduler(Vertx vertx,
                                                    boolean ordered)

      Create a scheduler for a `Vertx` object, actions can be blocking, they are not executed on Vertx event loop.
      Parameters:
        `vertx` - the vertx object
        `ordered` - if true then if when tasks are scheduled several times on the same context, the executions for that context will be executed serially, not in parallel. if false then they will be no ordering guarantees
      Returns:
        the scheduler

    - #### blockingScheduler

          public static Scheduler blockingScheduler(WorkerExecutor executor)

      Create a scheduler for a `WorkerExecutor` object, actions are executed on the threads of this executor.
      Parameters:
        `executor` - the worker executor object
      Returns:
        the scheduler

    - #### toSubscriber

          public static <T> WriteStreamSubscriber<T> toSubscriber(WriteStream<T> stream)

      Adapts a Vert.x `WriteStream` to an RxJava `Subscriber`.

      After subscription, the original `WriteStream` handlers should not be used anymore as they will be used by the adapter.

      Parameters:
        `stream` - the stream to adapt
      Returns:
        the adapted `Subscriber`

    - #### toSubscriber

          public static <R,T> WriteStreamSubscriber<R> toSubscriber(WriteStream<T> stream,
                                                                    java.util.function.Function<R,T> mapping)

      Like `toSubscriber(WriteStream)`, except the provided `mapping` function is applied to each `Flowable` item.

    - #### toObserver

          public static <T> WriteStreamObserver<T> toObserver(WriteStream<T> stream)

      Adapts a Vert.x `WriteStream` to an RxJava `Observer`.

      After subscription, the original `WriteStream` handlers should not be used anymore as they will be used by the adapter.

      Parameters:
        `stream` - the stream to adapt
      Returns:
        the adapted `Observer`

    - #### toObserver

          public static <R,T> WriteStreamObserver<R> toObserver(WriteStream<T> stream,
                                                                java.util.function.Function<R,T> mapping)

      Like `toObserver(WriteStream)`, except the provided `mapping` function is applied to each `Observable` item.

Copyright © 2022 Eclipse. All rights reserved.